Create a customer
idempotencyKey is optional — a retried request with the same key returns the original customer with 200 instead of creating a duplicate.
Authorization
apiKey Your merchant API key, shown once at creation in the dashboard (Settings → API key).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/customers" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "cust_01j8x2q3r4s5t6u7v8w9x0y1z2", "wallets": [ { "chainFamily": "evm", "address": "0x71c7656ec7ab88b098defb751b7401b5f6d8976" } ], "merchantReferenceId": "string", "email": "string", "phone": "string", "name": "string", "createdAt": "2026-08-19T14:32:00.000Z", "updatedAt": "2026-08-19T14:32:00.000Z", "merchantId": "string", "isSandbox": true, "idempotencyKey": "string"}